#include "stm32f10x.h"
#include "sys.c"
#include "io.c"
#include "i3202lcd.c"
#include "ov9640.c"


int main(void)
{
  unsigned int i,j;
  unsigned int lcd_data;
  
  gpio_init();
  rcc_init();  
  uart_init1();

  mdelay(1000);  // wait for flash loader communication...
  put_string1("\nCAM View");
  
  LcdInit();                
  LcdBl_H;  
  LcdSetDirection(90);
  LcdSetWindow(0,0,320,240);

  EnableAutoSetCM(); 
  SetRGB565QVGA();  // 320*240

  while(1)
  {  
       CmReady_H; CmReady_L;
       CmCapture_H; CmCapture_L;
       while(CmEndCapture==0);  
       CmReady_H; CmReady_L;
             
       LcdDataStart();
       for(i=0;i<240;i++)
         {
            for(j=0;j<320;j++)
              {
                 CmRdData_H; CmRdData_H;  // for cam delay..
                 lcd_data=CmData<<8;
                 CmRdData_L;

                 CmRdData_H; CmRdData_H;  // for cam delay..
                 lcd_data=lcd_data|CmData;
                 CmRdData_L;
                 LcdDataWrite(lcd_data);
               }
           }
       LcdDataEnd(); 
  }

}

